Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("982065AC-FCD5-4FBE-A5B4-55C0EAB21C56")]
   [Serializable]
   public class ReadOnlyObservableKeyedCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableKeyedList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("289E45AC-5C1F-4694-8616-DDE039017697")]
   [Serializable]
   public class ReadOnlyObservableKeyedList<TKey, TItem> : ReadOnlyObservableList<TItem>, IObservableKeyedList<TKey, TItem> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableList.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("99A21105-F307-496C-9C54-CEF79162C9DA")]
   [Serializable]
   public class ReadOnlyObservableList<T> : IObservableList<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Collections/3.3/ReadOnlyObservableSet.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Collections {
-  [StorableClass]
+  [StorableClass("CFB59621-C48B-4D68-A81C-68572588B31A")]
   [Serializable]
   public class ReadOnlyObservableSet<T> : IObservableSet<T> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   /// <typeparam name="T">The element type (base type IItem)</typeparam>
-  [StorableClass]
+  [StorableClass("7CA48FC0-AA99-46AC-B0D0-AFF37349D896")]
   [Item("CheckedItemCollection", "Represents a collection of items that can be checked or unchecked.")]
   public class CheckedItemCollection<T> : ItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   /// <typeparam name="T">The element type (base type is IItem)</typeparam>
-  [StorableClass]
+  [StorableClass("A7EB1197-74BE-46AC-AACE-D4575A395873")]
   [Item("CheckedItemList", "Represents a list of items that can be checked or unchecked.")]
   public class CheckedItemList<T> : ItemList<T>, ICheckedItemList<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("C0BE1B31-84C2-40A3-8D5F-2D4EBCCCB70D")]
   [Item("ConstraintCollection", "Represents a collection of constraints.")]
   public class ConstraintCollection : ItemCollection<IConstraint> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Core {
   [Item("Arc", "A graph arc connecting two graph vertices, that can have a weight, label, and data object for holding additional info")]
-  [StorableClass]
+  [StorableClass("9C41B31C-E208-46A2-87FC-45A9F0A9A928")]
   public class Arc : Item, IArc {
     [Storable]
@@ -82,5 +82,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("9C41B31C-E208-46A2-87FC-45A9F0A9A928")]
   public class Arc<T> : Arc, IArc<T> where T : class,IDeepCloneable {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Core {
   [Item("DirectedGraph", "Generic class representing a directed graph with custom vertices and content")]
-  [StorableClass]
+  [StorableClass("57BB1C46-28A7-482A-8BAE-437AD14B0158")]
   public class DirectedGraph : Item, IDirectedGraph {
     public override Image ItemImage { get { return VSImageLibrary.Graph; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Core {
   [Item("Vertex", "An object representing a vertex in the graph. It can have a text label, a weight, and an additional data object.")]
-  [StorableClass]
+  [StorableClass("0B8261A0-8829-4BB8-B7EF-940A9A0AB1D9")]
   public class Vertex : Item, IVertex {
     [Storable]
@@ -141,5 +141,5 @@
   }
 
-  [StorableClass]
+  [StorableClass("0B8261A0-8829-4BB8-B7EF-940A9A0AB1D9")]
   public class Vertex<T> : Vertex, IVertex<T> where T : class,IDeepCloneable {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("4DC5BC72-18EC-457F-96FD-C9408C10B15F")]
   [Item("ItemArray", "Represents an array of items.")]
   public class ItemArray<T> : ObservableArray<T>, IItemArray<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("A9222563-D714-43F1-8A52-0E3779C4C0F8")]
   [Item("ItemCollection", "Represents a collection of items.")]
   public class ItemCollection<T> : ObservableCollection<T>, IItemCollection<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 13368)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("99361DE7-D6B9-4D1B-8797-AD7E3FC7CA30")]
   [Item("ItemDictionary", "Represents a dictionary of items.")]
   public class ItemDictionary<TKey, TValue> : ObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("387AADA0-A019-4B09-B8A7-FEBFB17EC6E8")]
   [Item("ItemList", "Represents a list of items.")]
   public class ItemList<T> : ObservableList<T>, IItemList<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("9B0FF207-0B25-4ADA-A45D-51D3250CF0E8")]
   [Item("ItemSet", "Represents a set of items.")]
   public class ItemSet<T> : ObservableSet<T>, IItemSet<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Core {
   [Item("KeyedItemCollection", "Represents a keyed collection of items.")]
-  [StorableClass]
+  [StorableClass("E578BDD7-77B2-40D0-8F31-68A190A61DDD")]
   public abstract class KeyedItemCollection<TKey, TItem> : ObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
     public virtual string ItemName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Core {
   [Item("NamedItemCollection", "Represents a collection of named items.")]
-  [StorableClass]
+  [StorableClass("D3C81433-819F-4E33-866F-36B29F843E65")]
   public class NamedItemCollection<T> : KeyedItemCollection<string, T> where T : class, INamedItem {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperationCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 13368)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("42ECBE1C-2DCC-4285-9EE5-270C390EF749")]
   public sealed class OperationCollection : DeepCloneable, IList<IOperation>, IOperation {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("B171A41D-898C-4C25-A78C-91BEFE627499")]
   [Item("Operator Collection", "Represents a collection of operators.")]
   public class OperatorCollection : ItemCollection<IOperator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("975E2255-B5B0-4B10-A864-B575DB095FEE")]
   [Item("OperatorList", "Represents a list of operators.")]
   public class OperatorList : ItemList<IOperator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorSet.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("D1287644-FD5C-4838-BB3F-8E66EA5350CC")]
   [Item("OperatorSet", "Represents a set of operators.")]
   public class OperatorSet : ItemSet<IOperator> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("A6144D48-4C4D-43CF-950B-B4397C628BFF")]
   [Item("ParameterCollection", "Represents a collection of parameters.")]
   public class ParameterCollection : NamedItemCollection<IParameter> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("4BA73C5B-BC1D-4DCD-8F7B-A70E3C783839")]
   [Item("ReadOnlyCheckedItemCollection", "Represents a read-only collection of checked items.")]
   public class ReadOnlyCheckedItemCollection<T> : ReadOnlyItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("74AF211B-7F7F-45AC-955A-9F2F915A467E")]
   [Item("ReadOnlyCheckedItemList", "Represents a read-only list of checked items.")]
   public class ReadOnlyCheckedItemList<T> : ReadOnlyItemList<T>, ICheckedItemList<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("4E5A29B9-2788-4492-AE20-852BFCE69760")]
   [Item("ReadOnlyItemArray", "Represents a read-only array of items.")]
   public class ReadOnlyItemArray<T> : ReadOnlyObservableArray<T>, IItemArray<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("9D904ACB-33DA-4F5D-9B7D-7E0AA2E75093")]
   [Item("ReadOnlyItemCollection", "Represents a read-only collection of items.")]
   public class ReadOnlyItemCollection<T> : ReadOnlyObservableCollection<T>, IItemCollection<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("A251EF9D-F357-4EE6-A02D-331D1E34ED5E")]
   [Item("ReadOnlyItemDictionary", "Represents a read-only dictionary of items.")]
   public class ReadOnlyItemDictionary<TKey, TValue> : ReadOnlyObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("08AAB9F2-6072-45FA-B72C-F4EA7037C4DC")]
   [Item("ReadOnlyItemList", "Represents a read-only list of items.")]
   public class ReadOnlyItemList<T> : ReadOnlyObservableList<T>, IItemList<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("29A4649C-85DD-45E7-8AD9-C1A1227E2E84")]
   [Item("ReadOnlyItemSet", "Represents a read-only set of items.")]
   public class ReadOnlyItemSet<T> : ReadOnlyObservableSet<T>, IItemSet<T> where T : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("4ECE4D94-96C0-4A29-8048-FAD3F970D703")]
   [Item("ReadOnlyKeyedItemCollection", "Represents a read-only keyed collection of items.")]
   public class ReadOnlyKeyedItemCollection<TKey, TItem> : ReadOnlyObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ScopeList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 13368)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("34330C70-CFF1-4A58-B590-E4F5BBB3F6AC")]
   [Item("ScopeList", "Represents a list of scopes.")]
   public sealed class ScopeList : ItemList<IScope> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("71918B1F-828F-4CBB-B71C-395277F6D804")]
   [Item("ValueParameterCollection", "Represents a collection of value parameters.")]
   public class ValueParameterCollection : NamedItemCollection<IValueParameter> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/VariableCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("3DF17395-7DCE-447C-B10D-4FCF2EF72FCC")]
   [Item("VariableCollection", "Represents a collection of variables.")]
   public sealed class VariableCollection : NamedItemCollection<IVariable> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("47FEAFA7-5AA4-43FC-9FF9-2AAF696A96D1")]
   [Item("ComparisonConstraint", "A constraint which checks for specified compare operation.")]
   public class ComparisonConstraint : Constraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/Constraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("7C05E7B6-3CFF-485D-90D5-7DFD0A109840")]
   public abstract class Constraint : Item, IConstraint {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,5 +22,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("9B15D869-4983-4986-B60E-1E8EC67ADD1C")]
   public class ConstraintOperation {
     public static readonly ConstraintOperation Equal = new ConstraintOperation(0, "Equal");
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("6152AD63-8842-4A70-A878-E96EC9FFD1DD")]
   [Item("EqualityConstraint", "A constraint which checks for equality.")]
   public class EqualityConstraint : Constraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("F5207F5A-F1B5-4979-ACA2-72DEAD032892")]
   [Item("TypeCompatibilityConstraint", "A constraint that checks for compatible types.")]
   public class TypeCompatibilityConstraint : Constraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Engine.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Engine.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Engine.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Core {
   [Item("Engine", "A base class for engines.")]
-  [StorableClass]
+  [StorableClass("1D0181E4-63A0-48D1-A5D9-60CB5EA0EFAA")]
   public abstract class Engine : Executable, IEngine {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Executable.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Executable.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Executable.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Core {
   [Item("Executable", "A base class for executables.")]
-  [StorableClass]
+  [StorableClass("56FAF843-3C4E-4380-890A-DEB832648697")]
   public abstract class Executable : Item, IExecutable {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableClass("159ADE61-BD88-413E-9189-5096B8AB75AA")]
   public sealed class ExecutionContext : DeepCloneable, IExecutionContext, IAtomicOperation {
     [Storable]
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Item.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Item.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Item.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Represents the base class for all basic item types.
   /// </summary>
-  [StorableClass]
+  [StorableClass("70063A9F-4D62-4EBC-ACCD-B4F4DD7DB712")]
   [Item("Item", "Base class for all HeuristicLab items.")]
   public abstract class Item : IItem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Log.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Log.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/Log.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Core {
   [Item("Log", "A log for logging string messages.")]
-  [StorableClass]
+  [StorableClass("16244B4A-1C3B-4616-8670-4BF388F44D34")]
   public sealed class Log : Item, ILog, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/NamedItem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/NamedItem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Core/3.3/NamedItem.cs	(revision 13368)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Core {
   [Item("NamedItem", "Base class for items which have a name and an optional description.")]
-  [StorableClass]
+  [StorableClass("B27E51EF-FC2C-407A-9588-91209B6A044C")]
   public abstract class NamedItem : Item, INamedItem {
     [Storable]
